<?php

/*

  FILE STRUCTURE:

- LAYOUT BUILDER CLASS

*/

/* LAYOUT BUILDER CLASS (writes the layout.css file) */
/*------------------------------------------------------------------*/

class Bizz_CSS {	
	function build() {
		$this->layout();
	}
		
	function layout() {
	
	    $GLOBALS['optd'] = get_option('bizzthemes_design');
		$font_stacks = bizz_get_fonts();

		// Build CSS output.
		$this->css .= '
/*
File:			layout.css
Description:	Custom layout styles for Your Theme
Author:         You ;)

        IMPORTANT NOTE:
	
	    If you wish to make custom changes to your theme, DO NOT EDIT THIS FILE. 
	    Instead, use the Theme Design Options in your theme administration to 
	    define custom layout styles.
*/

/*--------- GENERAL STYLING Options --------- */

        '; // end css output
		
		if ($GLOBALS['optd']['bizzthemes_body_img'] <> '')
		    $body_bg = ''.$GLOBALS['optd']['bizzthemes_body_img_prop']['color'].' url('.$GLOBALS['optd']['bizzthemes_body_img'].') '.$GLOBALS['optd']['bizzthemes_body_img_prop']['repeat'].' '.$GLOBALS['optd']['bizzthemes_body_img_prop']['position'].'';
		else
		    $body_bg = $GLOBALS['optd']['bizzthemes_body_bg'];
			
		if($GLOBALS['optd']['bizzthemes_search_img'] <> ''){
		    $search_img .= '.search-spot .search input{ background:url('.$GLOBALS['optd']['bizzthemes_search_img'].') no-repeat 0 0; }';
		    $search_img .= '.search-spot .search button span{ background:url('.$GLOBALS['optd']['bizzthemes_search_img'].') no-repeat 100% 0%; }';
		}
				
		$this->css .= '

body { 
    font-family:'.$font_stacks[$GLOBALS['optd']['bizzthemes_f_general']['face']]['family'].'; 
	font-size:'.$GLOBALS['optd']['bizzthemes_f_general']['size'].'; 
	background:'.$body_bg.'; 
	color:'.$GLOBALS['optd']['bizzthemes_f_general']['color'].'; 
}
a { 
    color:'.$GLOBALS['optd']['bizzthemes_c_links'].'; 
}
a:hover { 
    color:'.$GLOBALS['optd']['bizzthemes_c_links_onhover'].'; 
}

h1 { font:'.$GLOBALS['optd']['bizzthemes_f_h1']['style'].' '.$GLOBALS['optd']['bizzthemes_f_h1']['size'].' '.$font_stacks[$GLOBALS['optd']['bizzthemes_f_h1']['face']]['family'].'; color:'.$GLOBALS['optd']['bizzthemes_f_h1']['color'].'; }
h2 { font:'.$GLOBALS['optd']['bizzthemes_f_h2']['style'].' '.$GLOBALS['optd']['bizzthemes_f_h2']['size'].' '.$font_stacks[$GLOBALS['optd']['bizzthemes_f_h2']['face']]['family'].'; color:'.$GLOBALS['optd']['bizzthemes_f_h2']['color'].'; }
h3 { font:'.$GLOBALS['optd']['bizzthemes_f_h3']['style'].' '.$GLOBALS['optd']['bizzthemes_f_h3']['size'].' '.$font_stacks[$GLOBALS['optd']['bizzthemes_f_h3']['face']]['family'].'; color:'.$GLOBALS['optd']['bizzthemes_f_h3']['color'].'; }
h4 { font:'.$GLOBALS['optd']['bizzthemes_f_h4']['style'].' '.$GLOBALS['optd']['bizzthemes_f_h4']['size'].' '.$font_stacks[$GLOBALS['optd']['bizzthemes_f_h4']['face']]['family'].'; color:'.$GLOBALS['optd']['bizzthemes_f_h4']['color'].'; }
h5 { font:'.$GLOBALS['optd']['bizzthemes_f_h5']['style'].' '.$GLOBALS['optd']['bizzthemes_f_h5']['size'].' '.$font_stacks[$GLOBALS['optd']['bizzthemes_f_h5']['face']]['family'].'; color:'.$GLOBALS['optd']['bizzthemes_f_h5']['color'].'; }
h6 { font:'.$GLOBALS['optd']['bizzthemes_f_h6']['style'].' '.$GLOBALS['optd']['bizzthemes_f_h6']['size'].' '.$font_stacks[$GLOBALS['optd']['bizzthemes_f_h6']['face']]['family'].'; color:'.$GLOBALS['optd']['bizzthemes_f_h6']['color'].'; }

a.button, input[type="submit"] { 
    background-color:'.$GLOBALS['optd']['bizzthemes_bg_button'].'; 
	font:'.$GLOBALS['optd']['bizzthemes_f_button']['style'].' '.$GLOBALS['optd']['bizzthemes_f_button']['size'].' '.$font_stacks[$GLOBALS['optd']['bizzthemes_f_button']['face']]['family'].'; color:'.$GLOBALS['optd']['bizzthemes_f_button']['color'].';
    height:1%;	
}
a.button:hover, input[type="submit"]:hover { 
    background-color:'.$GLOBALS['optd']['bizzthemes_bg_button_onhover'].'; 
}

/*--------- LOGO & SEARCH FORM Options --------- */

.logo-area { 
    background-color:'.$GLOBALS['optd']['bizzthemes_bg_logo'].';
}

/*=== Logo ===*/
.logo-spot .blog-title a { 
    font:'.$GLOBALS['optd']['bizzthemes_f_tblog']['style'].' '.$GLOBALS['optd']['bizzthemes_f_tblog']['size'].' '.$font_stacks[$GLOBALS['optd']['bizzthemes_f_tblog']['face']]['family'].'; color:'.$GLOBALS['optd']['bizzthemes_f_tblog']['color'].';
}
.logo-spot .blog-title a:hover { 
    text-decoration: none;
	font:'.$GLOBALS['optd']['bizzthemes_f_tblog_hover']['style'].' '.$GLOBALS['optd']['bizzthemes_f_tblog_hover']['size'].' '.$font_stacks[$GLOBALS['optd']['bizzthemes_f_tblog_hover']['face']]['family'].'; color:'.$GLOBALS['optd']['bizzthemes_f_tblog_hover']['color'].';
}
.logo-spot .blog-description{ 
    font:'.$GLOBALS['optd']['bizzthemes__f_dblog']['style'].' '.$GLOBALS['optd']['bizzthemes_f_dblog']['size'].' '.$font_stacks[$GLOBALS['optd']['bizzthemes_f_dblog']['face']]['family'].'; color:'.$GLOBALS['optd']['bizzthemes_f_dblog']['color'].';
}

/*=== Search Form ===*/
'.$search_img.'

/*=== Top Navigation ===*/
.navigation-area { 
    background:'.$GLOBALS['optd']['bizzthemes_bg_nav'].'; 
}
.top_menu { 
    background:'.$GLOBALS['optd']['bizzthemes_bg_nav_menu'].'; 
}
.sf-menu a  { 
    font:'.$GLOBALS['optd']['bizzthemes_f_nav']['style'].' '.$GLOBALS['optd']['bizzthemes_f_nav']['size'].' '.$font_stacks[$GLOBALS['optd']['bizzthemes_f_nav']['face']]['family'].'; color:'.$GLOBALS['optd']['bizzthemes_f_nav']['color'].';
	line-height:35px;
}
.sf-menu li:hover, .sf-menu li ul li:hover { 
    background-color:'.$GLOBALS['optd']['bizzthemes_bg_nav_onhover'].';
}
.sf-menu li.current-menu-item a { 
    background-color:'.$GLOBALS['optd']['bizzthemes_bg_nav_current'].'; 
	border:'.$GLOBALS['optd']['bizzthemes_b_nav_current']['width'].' '.$GLOBALS['optd']['bizzthemes_b_nav_current']['style'].' '.$GLOBALS['optd']['bizzthemes_b_nav_current']['color'].'; 
	color:'.$GLOBALS['optd']['bizzthemes_c_nav_current'].'; 
}
.sf-menu li.current-menu-item ul li a:hover, .sf-menu li ul li.current-menu-item a:hover { 
    color:'.$GLOBALS['optd']['bizzthemes_c_nav_current'].';
}
.sf-menu li ul { 
    background-color:'.$GLOBALS['optd']['bizzthemes_bg_nav_dropdown'].'; 
}';

if ($GLOBALS['optd']['bizzthemes_w_nav_dropdown'] <> '')
    $main_nav_width = $GLOBALS['optd']['bizzthemes_w_nav_dropdown'];
else
    $main_nav_width = '150';
	
$this->css .= '
.sf-menu li ul { 
    width:'.($main_nav_width+30).'px; 
}
.sf-menu li ul li a { 
    width:'.($main_nav_width).'px; 
}

/*=== Footer Widgets ===*/
.footer-area { 
    background:'.$GLOBALS['optd']['bizzthemes_bg_fwidg'].'; 
}

/*=== Footer Navigation ===*/
.credentials-area { 
    background-color:'.$GLOBALS['optd']['bizzthemes_bg_fnav'].'; 
}
.footer { 
    background-color:'.$GLOBALS['optd']['bizzthemes_bg_fnav_menu'].'; 
}
.credentials-area .date { 
    font:'.$GLOBALS['optd']['bizzthemes_f_fnav']['style'].' '.$GLOBALS['optd']['bizzthemes_f_fnav']['size'].' '.$font_stacks[$GLOBALS['optd']['bizzthemes_f_fnav']['face']]['family'].'; color:'.$GLOBALS['optd']['bizzthemes_f_fnav']['color'].'; 
}
.credentials-area .sf-menu a  { 
    font:'.$GLOBALS['optd']['bizzthemes_f_fnav']['style'].' '.$GLOBALS['optd']['bizzthemes_f_fnav']['size'].' '.$font_stacks[$GLOBALS['optd']['bizzthemes_f_fnav']['face']]['family'].'; color:'.$GLOBALS['optd']['bizzthemes_f_fnav']['color'].';
	line-height:20px;
}
.credentials-area .sf-menu li:hover, .credentials-area .sf-menu li ul li:hover { 
    background-color:'.$GLOBALS['optd']['bizzthemes_bg_fnav_onhover'].';
}
.credentials-area .sf-menu li.current-menu-item a { 
    background-color:'.$GLOBALS['optd']['bizzthemes_bg_fnav_current'].'; 
	border:'.$GLOBALS['optd']['bizzthemes_b_fnav_current']['width'].' '.$GLOBALS['optd']['bizzthemes_b_fnav_current']['style'].' '.$GLOBALS['optd']['bizzthemes_b_fnav_current']['color'].'; 
	color:'.$GLOBALS['optd']['bizzthemes_c_fnav_current'].'; 
}
.credentials-area .sf-menu li.current-menu-item ul li a:hover, .sf-menu li ul li.current-menu-item a:hover { 
    color:'.$GLOBALS['optd']['bizzthemes_c_fnav_current'].';
}
.credentials-area .sf-menu li ul { 
    background-color:'.$GLOBALS['optd']['bizzthemes_bg_fnav_dropdown'].'; 
}';

if ($GLOBALS['optd']['bizzthemes_w_fnav_dropdown'] <> '')
    $main_fnav_width = $GLOBALS['optd']['bizzthemes_w_fnav_dropdown'];
else
    $main_fnav_width = '150';
	
$this->css .= '
.credentials-area .sf-menu li ul { 
    width:'.($main_fnav_width+30).'px; 
}
.credentials-area .sf-menu li ul li a { 
    width:'.($main_fnav_width).'px; 
}

/*--------- SLIDER Area ---------  */

.slider-area { 
    background-color:'.$GLOBALS['optd']['bizzthemes_bg_slid'].'; 
}
#loopedSlider { 
    background-color:'.$GLOBALS['optd']['bizzthemes_bg_slid_in'].'; 
}
#loopedSlider .slides div.slide, #loopedSlider .slides div.slide a,
#loopedSlider h1, #loopedSlider h2, #loopedSlider h3, #loopedSlider h4, #loopedSlider h5, #loopedSlider h6 { 
    color:'.$GLOBALS['optd']['bizzthemes_c_slid'].'; 
}

/*--------- Post and Page Styling ---------  */

.front { 
    background-color:'.$GLOBALS['optd']['bizzthemes_bg_content_in'].';
	border:'.$GLOBALS['optd']['bizzthemes_b_content_in']['width'].' '.$GLOBALS['optd']['bizzthemes_b_content_in']['style'].' '.$GLOBALS['optd']['bizzthemes_b_content_in']['color'].';
}

h2.title, h1.title { 
    background-color:'.$GLOBALS['optd']['bizzthemes_bg_mtitle_in'].';
	font:'.$GLOBALS['optd']['bizzthemes_f_mtitle']['style'].' '.$GLOBALS['optd']['bizzthemes_f_mtitle']['size'].' '.$font_stacks[$GLOBALS['optd']['bizzthemes_f_mtitle']['face']]['family'].'; color:'.$GLOBALS['optd']['bizzthemes_f_mtitle']['color'].';
	border-bottom:'.$GLOBALS['optd']['bizzthemes_bb_mtitle']['width'].' '.$GLOBALS['optd']['bizzthemes_bb_mtitle']['style'].' '.$GLOBALS['optd']['bizzthemes_bb_mtitle']['color'].';
}

#breadcrumb p { 
    background-color:'.$GLOBALS['optd']['bizzthemes_bg_bnav_menu'].';
	font:'.$GLOBALS['optd']['bizzthemes_f_bnav']['style'].' '.$GLOBALS['optd']['bizzthemes_f_bnav']['size'].' '.$font_stacks[$GLOBALS['optd']['bizzthemes_f_bnav']['face']]['family'].'; color:'.$GLOBALS['optd']['bizzthemes_f_bnav']['color'].'; 
}

.front { 
    background-color:'.$GLOBALS['optd']['bizzthemes_bg_ac_in'].'; 
	border:'.$GLOBALS['optd']['bizzthemes_b_ac_in']['width'].' '.$GLOBALS['optd']['bizzthemes_b_ac_in']['style'].' '.$GLOBALS['optd']['bizzthemes_b_ac_in']['color'].';
}
.headline h2 { 
    font:'.$GLOBALS['optd']['bizzthemes_f_atitle']['style'].' '.$GLOBALS['optd']['bizzthemes_f_atitle']['size'].' '.$font_stacks[$GLOBALS['optd']['bizzthemes_f_atitle']['face']]['family'].'; color:'.$GLOBALS['optd']['bizzthemes_f_atitle']['color'].'; line-height:25px; 
}
.meta, .meta a, .meta span, .meta abbr { 
    font:'.$GLOBALS['optd']['bizzthemes_f_meta']['style'].' '.$GLOBALS['optd']['bizzthemes_f_meta']['size'].' '.$font_stacks[$GLOBALS['optd']['bizzthemes_f_meta']['face']]['family'].'; color:'.$GLOBALS['optd']['bizzthemes_f_meta']['color'].';
	line-height:23px;
}
span.read-more a { 
    background-color:'.$GLOBALS['optd']['bizzthemes_bg_rmore'].'; 
    font:'.$GLOBALS['optd']['bizzthemes_f_rmore']['style'].' '.$GLOBALS['optd']['bizzthemes_f_rmore']['size'].' '.$font_stacks[$GLOBALS['optd']['bizzthemes_f_rmore']['face']]['family'].'; color:'.$GLOBALS['optd']['bizzthemes_f_rmore']['color'].';
}
span.read-more a:hover { background-color:'.$GLOBALS['optd']['bizzthemes_bg_rmore_onhover'].';  }
h3.tcomm, h2.post-form { 
    font:'.$GLOBALS['optd']['bizzthemes_f_comm']['style'].' '.$GLOBALS['optd']['bizzthemes_f_comm']['size'].' '.$font_stacks[$GLOBALS['optd']['bizzthemes_f_comm']['face']]['family'].'; color:'.$GLOBALS['optd']['bizzthemes_f_comm']['color'].';
}
#comments .comment .avatar-wrap img, #comments .comment .text-right .comm-reply, #comments .comment .text-right .comment-entry ,
.cancel-comment-reply a#cancel-comment-reply-link { 
    border:'.$GLOBALS['optd']['bizzthemes_b_comm']['width'].' '.$GLOBALS['optd']['bizzthemes_b_comm']['style'].' '.$GLOBALS['optd']['bizzthemes_b_comm']['color'].';
}
#comments .comment.bypostauthor .text-right .comm-reply {
    border:'.$GLOBALS['optd']['bizzthemes_ab_comm']['width'].' '.$GLOBALS['optd']['bizzthemes_ab_comm']['style'].' '.$GLOBALS['optd']['bizzthemes_ab_comm']['color'].';
}

/*--------- PAGINATION Options ---------  */

ul.lpag li a, ul.lpag li.name span, ul.lpag li a.name { 
    font:'.$GLOBALS['optd']['bizzthemes_f_pag']['style'].' '.$GLOBALS['optd']['bizzthemes_f_pag']['size'].' '.$font_stacks[$GLOBALS['optd']['bizzthemes_f_pag']['face']]['family'].'; color:'.$GLOBALS['optd']['bizzthemes_f_pag']['color'].'; 
}
ul.lpag li a { 
    font-family: Tahoma; 
}
ul.lpag li a:hover { 
    background-color:'.$GLOBALS['optd']['bizzthemes_bg_pag_onhover'].';
}
ul.lpag li.active a, ul.lpag li.current span { 
    background-color:'.$GLOBALS['optd']['bizzthemes_bg_pag_active'].';
	color:'.$GLOBALS['optd']['bizzthemes_f_pag_active'].';
	font-size:'.$GLOBALS['optd']['bizzthemes_f_pag']['size'].';
}

/*--------- WIDGET Area ---------  */

.widget h3 { 
    font:'.$GLOBALS['optd']['bizzthemes_f_w']['style'].' '.$GLOBALS['optd']['bizzthemes_f_w']['size'].' '.$font_stacks[$GLOBALS['optd']['bizzthemes_f_w']['face']]['family'].'; color:'.$GLOBALS['optd']['bizzthemes_f_w']['color'].';
	border-bottom:'.$GLOBALS['optd']['bizzthemes_bb_w']['width'].' '.$GLOBALS['optd']['bizzthemes_bb_w']['style'].' '.$GLOBALS['optd']['bizzthemes_bb_w']['color'].';
}
.widget { 
    font:'.$GLOBALS['optd']['bizzthemes_f_wc']['style'].' '.$GLOBALS['optd']['bizzthemes_f_wc']['size'].' '.$font_stacks[$GLOBALS['optd']['bizzthemes_f_wc']['face']]['family'].'; color:'.$GLOBALS['optd']['bizzthemes_f_wc']['color'].';
	line-height:25px;
}


        '; // end css output

	} // end layout (function)
		
} // end Bizz_CSS (class)

function bizz_generate_css() {
	if (is_writable(BIZZ_LAYOUT_CSS)) {
		$bizz_css = new Bizz_CSS;
		$bizz_css->build();
		$lid = @fopen(BIZZ_LAYOUT_CSS, 'w');
		@fwrite($lid, $bizz_css->css);
		@fclose($lid);
	}
}

?>